var getFlag = function (a) {
  return document.getElementById(a)
};
var extend = function (a, b) {
  for (p in b) {
      a[p] = b[p]
  }
  return a
};
var clss = ["one", "two", "three", "four", "five", "six", "seven", "eight", "nine", "ten"];
var Ball = function (diameter, classn,books) {
  var ball = document.createElement("div");
  ball.className = classn;
  ball.innerHTML=`<span>${books}</span>`
  with(ball.style) {
      width = height = diameter + "px";
      position = "absolute"
  }
  return ball
};
var Screen = function (a, b) {
  var c = this;
  if (!(c instanceof Screen)) {
      return new Screen(a, b)
  }
  b = extend(Screen.Config, b);
  c.container = getFlag(a);
  c.ballsnum = b.ballsnum;
  c.diameter = 100;
  c.radius = c.diameter / 2;
  c.spring = b.spring;
  c.bounce = b.bounce;
  c.gravity = b.gravity;        
  c.books = b.books;        
  c.balls = [];
  c.timer = null;
  c.L_bound = 0;
  c.R_bound = c.container.clientWidth;
  c.T_bound = 0;
  c.B_bound = c.container.clientHeight
};
Screen.Config = {
  ballsnum: 10,
  spring: 0.8,
  bounce: -0.9,
  gravity: 0.05,
  books:1
};
Screen.prototype = {
  initialize: function () {
      var a = this;
      a.createBalls();
      a.timer = setInterval(function () {
          a.hitBalls()
      }, 30)
  },
  createBalls: function () {
      var d = this,
          c = d.ballsnum;
      var b = document.createDocumentFragment();
      var books=d.books
//   console.log(d.books)
  console.log(d.ballsnum)

      for (i = 0; i < c; i++) {
          var a = new Ball(d.diameter, clss[i],books[i]);
          let size=Math.floor(Math.random() * (110 - 60) ) + 60
          a.diameter = d.diameter;
          a.radius = d.radius;
          a.style.left = (Math.random() * d.R_bound) + "px";
          a.style.top = (Math.random() * d.B_bound) + "px";
          a.style.width = size + "px";
          a.style.height = size + "px";
          a.vx = Math.random() * 6 - 3;
          a.vy = Math.random() * 6 - 3;
          b.appendChild(a);
          d.balls[i] = a
      }
      d.container.appendChild(b)
  },
  hitBalls: function () {
      var h = this,
          g = h.ballsnum,
          d = h.balls;
      for (i = 0; i < g - 1; i++) {
          var b = h.balls[i];
          b.x = b.offsetLeft + b.radius;
          b.y = b.offsetTop + b.radius;
          for (j = i + 1; j < g; j++) {
              var c = h.balls[j];
              c.x = c.offsetLeft + c.radius;
              c.y = c.offsetTop + c.radius;
              dx = c.x - b.x;
              dy = c.y - b.y;
              var e = Math.sqrt(dx * dx + dy * dy);
              var f = b.radius + c.radius;
              if (e < f) {
                  var a = Math.atan2(dy, dx);
                  tx = b.x + Math.cos(a) * f;
                  ty = b.y + Math.sin(a) * f;
                  ax = (tx - c.x) * h.spring;
                  ay = (ty - c.y) * h.spring;
                  b.vx -= ax;
                  b.vy -= ay;
                  c.vx += ax;
                  c.vy += ay
              }
          }
      }
      for (i = 0; i < g; i++) {
          h.moveBalls(d[i])
      }
  },
  moveBalls: function (b) {
      var f = this;
      b.vy += f.gravity;
      b.style.left = (b.offsetLeft + b.vx) + "px";
      b.style.top = (b.offsetTop + b.vy) + "px";
      var d = f.L_bound,
          e = f.R_bound,
          g = f.T_bound,
          a = f.B_bound,
          c = f.bounce;
      if (b.offsetLeft < d) {
          b.style.left = d;
          b.vx *= c
      } else {
          if (b.offsetLeft + b.diameter > e) {
              b.style.left = (e - b.diameter) + "px";
              b.vx *= c
          } else {
              if (b.offsetTop < g) {
                  b.style.top = g;
                  b.vy *= c
              }
          }
      }
      if (b.offsetTop + b.diameter > a) {
          b.style.top = (a - b.diameter) + "px";
          b.vy *= c
      }
  }
};
// window.onload = function () {
//   var a = null;
//   document.getElementById("inner").innerHTML = "";
//   a = new Screen("inner", {
//       ballsnum:10,
//       spring: 0.01,
//       bounce: -0.9,
//       gravity: 0
//   });
//   a.initialize();
// };